cocoon-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Robert Simmons" <deri...@arcor.de>
Subject Re: DO NOT REPLY [Bug 16580] - Java compiler requires JARs in the FS; can not use classloader
Date Fri, 14 Feb 2003 12:26:05 GMT
In my opinion this is the largest fault with cocoon at present. It is rather
strange since the Tomcat servlet engine does not suffer from this limitation.
Since they have already got this working, why cant we borrow their code to
accomplish it?

We will never get enterprise programmers to transfer over from using JSP to
using XSP without such a facility. Having to put all the jars in a classpath is
just NOT a viable solution. Not even a viable workaround.

In fact, I think the goal of cocoon should now be to reel in those enterprise
programmers and bring them into the fold. The days of doing things with direct
SQL and database calls are fast waning into the abyss of impossible large scale
project management. There must be other options. XSP as a competitor to JSP and
ASP technologies is simply not viable without integration with EJBs. Integration
with EJBs means getting our compiler to work with a class loader instead of a
classpath.

I think the milestone for this and related bugs should be firmly 2.1. Once
Cocoon has this, I'm convinced they could hit the big time.

-- Robert

"Michael Homeijer" <M.Homeijer@devote.nl> wrote in message
news:9916289167D2D411BD0700508BB4A527E6725B@dvntex01.devote.nl...
> Anyone care to comment on the threads I mentioned?
>
> http://marc.theaimsgroup.com/?l=xml-cocoon-dev&m=103769226701593&w=2
> http://marc.theaimsgroup.com/?l=xml-cocoon-dev&m=103990910724056&w=2
>
> When using xsp pages or actions in an ear (combined with using value objects
> returned from ejb's) this is a rather big issue.
>
> Michael
>
> -----Original Message-----
> From: bugzilla@apache.org
> To: cocoon-dev@xml.apache.org
> Sent: 13-2-2003 9:08
> Subject: DO NOT REPLY [Bug 16580]  -  Java compiler requires JARs in the FS;
> can not use classloader
>
> DO NOT REPLY TO THIS EMAIL, BUT PLEASE POST YOUR BUG
> RELATED COMMENTS THROUGH THE WEB INTERFACE AVAILABLE AT
> <http://nagoya.apache.org/bugzilla/show_bug.cgi?id=16580>.
> ANY REPLY MADE TO THIS MESSAGE WILL NOT BE COLLECTED AND
> INSERTED IN THE BUG DATABASE.
>
> http://nagoya.apache.org/bugzilla/show_bug.cgi?id=16580
>
> Java compiler requires JARs in the FS; can not use classloader
>
>
>
>
>
> ------- Additional Comments From m.homeijer@devote.nl  2003-02-13 08:08
> -------
> http://marc.theaimsgroup.com/?l=xml-cocoon-dev&m=103769226701593&w=2
> http://marc.theaimsgroup.com/?l=xml-cocoon-dev&m=103990910724056&w=2
>
> Anyone care to comment on the threads above? Both mention use of either
> the
> eclipse compiler or the pizza compiler. The first link mentions a
> complete
> patch for pizza compiler that can directly work in Cocoon.
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: cocoon-dev-unsubscribe@xml.apache.org
> For additional commands, email: cocoon-dev-help@xml.apache.org




---------------------------------------------------------------------
To unsubscribe, e-mail: cocoon-dev-unsubscribe@xml.apache.org
For additional commands, email: cocoon-dev-help@xml.apache.org


Mime
View raw message